Package org.apache.calcite.avatica

## Enum SqlType.Method

- java.lang.Object
- - java.lang.Enum<SqlType.Method>
  - - org.apache.calcite.avatica.SqlType.Method

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<SqlType.Method>`

Enclosing class:
  SqlType

    public static enum SqlType.Method
    extends java.lang.Enum<SqlType.Method>

Getter methods in `ResultSet`.

### Enum Constant Summary

Enum Constants
`GET_ARRAY`
`GET_ASCII_STREAM`
`GET_BIG_DECIMAL`
`GET_BINARY_STREAM`
`GET_BLOB`
`GET_BOOLEAN`
`GET_BYTE`
`GET_BYTES`
`GET_CHARACTER_STREAM`
`GET_CLOB`
`GET_DATE`
`GET_DOUBLE`
`GET_FLOAT`
`GET_INT`
`GET_LONG`
`GET_N_CHARACTER_STREAM`
`GET_N_CLOB`
`GET_N_STRING`
`GET_OBJECT`
`GET_REF`
`GET_ROW_ID`
`GET_SHORT`
`GET_SQLXML`
`GET_STRING`
`GET_TIME`
`GET_TIMESTAMP`
`GET_URL`

### Field Summary

Fields
`java.lang.String` `methodName`

### Constructor Summary

Constructors
`private` `Method​(java.lang.String methodName)`

### Method Summary

All Methods Static Methods Concrete Methods
`static SqlType.Method` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SqlType.Method[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GET_BYTE

    public static final SqlType.Method GET_BYTE

#### GET_SHORT

    public static final SqlType.Method GET_SHORT

#### GET_INT

    public static final SqlType.Method GET_INT

#### GET_LONG

    public static final SqlType.Method GET_LONG

#### GET_FLOAT

    public static final SqlType.Method GET_FLOAT

#### GET_DOUBLE

    public static final SqlType.Method GET_DOUBLE

#### GET_BIG_DECIMAL

    public static final SqlType.Method GET_BIG_DECIMAL

#### GET_BOOLEAN

    public static final SqlType.Method GET_BOOLEAN

#### GET_STRING

    public static final SqlType.Method GET_STRING

#### GET_N_STRING

    public static final SqlType.Method GET_N_STRING

#### GET_BYTES

    public static final SqlType.Method GET_BYTES

#### GET_DATE

    public static final SqlType.Method GET_DATE

#### GET_TIME

    public static final SqlType.Method GET_TIME

#### GET_TIMESTAMP

    public static final SqlType.Method GET_TIMESTAMP

#### GET_ASCII_STREAM

    public static final SqlType.Method GET_ASCII_STREAM

#### GET_BINARY_STREAM

    public static final SqlType.Method GET_BINARY_STREAM

#### GET_CHARACTER_STREAM

    public static final SqlType.Method GET_CHARACTER_STREAM

#### GET_N_CHARACTER_STREAM

    public static final SqlType.Method GET_N_CHARACTER_STREAM

#### GET_CLOB

    public static final SqlType.Method GET_CLOB

#### GET_N_CLOB

    public static final SqlType.Method GET_N_CLOB

#### GET_BLOB

    public static final SqlType.Method GET_BLOB

#### GET_ARRAY

    public static final SqlType.Method GET_ARRAY

#### GET_REF

    public static final SqlType.Method GET_REF

#### GET_URL

    public static final SqlType.Method GET_URL

#### GET_OBJECT

    public static final SqlType.Method GET_OBJECT

#### GET_ROW_ID

    public static final SqlType.Method GET_ROW_ID

#### GET_SQLXML

    public static final SqlType.Method GET_SQLXML

### Field Detail

#### methodName

    public final java.lang.String methodName

### Constructor Detail

#### Method

    private Method​(java.lang.String methodName)

### Method Detail

#### values

    public static SqlType.Method[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SqlType.Method c : SqlType.Method.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SqlType.Method valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null